/*
 * (c) 2005 by Simon Gander <simongander@gmx.ch>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package guettingen;

import java.awt.*;

public class Lampe {
	Point p;
	Color c;
	Container parent;
	
	boolean ein;
	
	public Lampe (Container par, int x, int y, Color farbe) {
		p = new Point (x, y);
		c = farbe;
		ein = false;
		parent = par;
	}
	
	public void paint (Graphics g) {
		if (g == null) return;
		if (ein) g.setColor (c);
		else g.setColor (Color.DARK_GRAY);
//		g.drawOval (p.x - 7, p.y - 7, 12, 12);
//		g.fillOval (p.x - 7, p.y - 7, 12, 12);
		// Ach ja... manche Routinen muss man selber bauen...
		g.drawLine (p.x - 2, p.y - 6, p.x + 1, p.y - 6);
		g.drawLine (p.x - 4, p.y - 5, p.x + 3, p.y - 5);
		g.drawLine (p.x - 5, p.y - 4, p.x + 4, p.y - 4);
		g.drawLine (p.x - 5, p.y - 3, p.x + 4, p.y - 3);
		g.drawLine (p.x - 6, p.y - 2, p.x + 5, p.y - 2);
		g.drawLine (p.x - 6, p.y - 1, p.x + 5, p.y - 1);
		g.drawLine (p.x - 6, p.y    , p.x + 5, p.y    );
		g.drawLine (p.x - 6, p.y + 1, p.x + 5, p.y + 1);
		g.drawLine (p.x - 5, p.y + 2, p.x + 4, p.y + 2);
		g.drawLine (p.x - 5, p.y + 3, p.x + 4, p.y + 3);
		g.drawLine (p.x - 4, p.y + 4, p.x + 3, p.y + 4);
		g.drawLine (p.x - 2, p.y + 5, p.x + 1, p.y + 5);
	}
	
	public void einschalten () {
		ein = true;
		// paint (parent.getGraphics());
		parent.repaint();
	}
	
	public void ausschalten () {
		ein = false;
		// paint (parent.getGraphics());
		parent.repaint();
	}
}
